Continue Deployment

Continue Deployment
Continue a deployment

Continue a deployment.

Request
URI
POST
https://api.example.local/v3/deployments/{guid}/actions/continue
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully continued deployment

Returns Deployment of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "status": {
        "value": "string",
        "reason": "string",
        "details": {
            "last_successful_healthcheck": "string",
            "last_status_change": "string"
        }
    },
    "strategy": "string",
    "options": {
        "max_in_flight": 0,
        "web_instances": 0,
        "memory_in_mb": 0,
        "disk_in_mb": 0,
        "log_rate_limit_in_bytes_per_second": 0,
        "canary": {
            "steps": [
                {
                    "instance_weight": 0
                }
            ]
        }
    },
    "droplet": {
        "guid": "string"
    },
    "previous_droplet": {
        "guid": "string"
    },
    "new_processes": [
        {
            "guid": "string",
            "type": "string"
        }
    ],
    "revision": {
        "guid": "string",
        "version": 0
    },
    "relationships": {},
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "app": {
            "href": "string",
            "method": "string"
        },
        "cancel": {
            "href": "string",
            "method": "string"
        }
    }
}

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/v3/deployments/{guid}/actions/continue